*** 1.27 ***

  -  Added support for dd/mm/yy date format.  Use the
     "Options/Log Options" menu to choose the date format.

  -  Fixed a bug that caused crashes when the GMT offset
     was set to a value greater than 9 hours.

  -  Awards submission tracking reports were broken,
     the submitted/accepted statuses were not being
     reported correctly.

  -  Added a new option to the "Options/Labels Layout"
     menu, "Add callsign to mailing labels".  Setting
     this option formats the first line of the label as
     "FirstName LastName, Callsign".

  -  "Print Labels" now asks if you want to erase the
     labels AFTER it starts printing instead of before!

  -  The Packet window "PacketCluster Alerts" menu has
     a new option that will include the band/mode on
     CW alerts.

  -  Included the latest QRZ callbook CD interface file
     (qrzdll.dll).  Some people were getting errors
     when trying to do callbook lookups on the Volume 8
     CD. There is still a bug when doing lookups of 1x2
     calls, if the call is not found an address that only
     includes the call is returned. QRZ says this is fixed
     for Volume 9 shipping soon...

  -  Added JRC JST-135 and JST-245 to list of supported
     rigs.

*** 1.26 ***

  -  You can now define default values for any field for
     new log entries.  This feature is controlled by new
     menu items "Edit/Set Defaults for New Entries" and
     "Edit/Enable Defaults for New Entries".  See the
     help section on "Adding New Entries" for details.

     This feature replaces the old "Auto Add Date/Time"
     mode.

  -  Added voice PacketCluster alerts.  To install voice
     alerts you must first get a copy of the voice files
     (contained in waves.zip).  Create a "voice" directory
     within your MLOG directory and PKUNZIP waves.zip in
     that directory.  Then use the "DX/PacketCluster Alerts"
     dialog to enable voice alerts.  Check the help file
     section "PacketCluster Voice Alerts" for more info.

  -  Added a new menu item "Options/HF Rig Comm Port
     Select".  Use this menu item to set up a comm
     port that XMLog can use to control your HF rig.
     If you double-click on frequencies displayed in
     the packet window, XMLog will send your rig to
     the appropriate frequency and mode.  See the help
     file screen "HF Rig Control" in the "Using the
     Packet Window/PacketCluster Support" section of
     the help file.

  -  Added a new option to the packet "DX/PacketCluster
     Alerts" dialog.  Turning on "Don't show alert info"
     will disable the beam heading and QSL status line.

  -  Added some new shortcuts for the log window:
     Ctrl-A      for Edit/Add New Entry
     Ctrl-M      for Edit/Modify Entry
     Ctrl-Q      for Display/Add QSL Label to List
  
  -  Added Pratas Island (BV9P) and Scarborough Reef
     (BS7) to the prefixes file.

  -  Made the scroll bar in log window active - the
     screen gets updated as you drag the position box.

  -  Fixed occasional bad column alignment in reports
     when proportional fonts are used.

*** 1.25 ***

  - Changed the install procedure to handle incompatible
    versions of MSCOMM.VBX

*** 1.24 ***

  - Added award submission tracking. Use "Help/Display Help" 
    and check the "Awards Submission Tracking" section.

  - Log entries with dates having a year < 20 are assumed to
    be for the next century.

  - Double-Click on any log entry date or time field to fill
    the field with the current date or time.

  - Added support for the "Radio Amateur Callbook, Inc."
    (Flying Horse) callbook CD.

  - Status bar changes:

       Moved all packet window status messages from the
       caption to the status bar.  The status bar can no
       longer be disabled.

       Added a status bar to the log window - messages are
       now displayed in this bar rather than in the caption.

       The status bar clocks are now enabled/disabled from
       the Options menu.

  - Moved the log window "Sort By" option from "Edit" to
    "Display".

  - Added a new menu item "Edit/Handle Bureau Card" to the log
    window.  It sets the QSL Sent/Received fields to today's date.
    It also adds a QSL label to the labels list (same as choosing
    "Display/Add QSL Label").  This feature is useful when you get
    those fat envelopes from your QSL bureau.

  - While adding new log entries, you can now choose "Clear" to
    reset the current entry, or choose "Stop" to exit add mode.

  - A problem which caused the packet window to stall when using
    Windows for Workgroups 3.11 has been fixed.  (This problem
    had also been seen on some Windows '95 systems).

*** 1.23 ***

  - When opening logs, complain if file sharing isn't available.
    The changes made in version 1.17 allowing Microsoft Access
    2.0 style logs require file sharing to be loaded.  Check the
    "Starting XMLog" help screen for details.

  - Install system files in \windows\system rather than leaving
    them in the mlog directory.

  - Added "Sort by QSL Sent Date" to "Edit/Sort By".

    Bug Fixes

  - Got the latest version of the install program "setup.exe"
    from MicroSoft.  The old one was giving a "Cannot start
    application" message if share.exe wasn't loaded.

*** 1.22 ***

  - Moved "Callbook Lookup" on the Log Window from the "Display"
    to the "DX" menu.  Added a "DX/Callbook Lookup" menu item to
    the packet window to match the one available from the log window.

  - Moved "Enable CW Alerts" from the "Options/CW Options" to
    "DX/Alerts".  Now all the alert stuff is in one place.

*** 1.21 ***

  -  Changed our name from MLog to XMLog.  To prevent conversion
     headaches, files and directories retain their old "mlog" names.

  -  The "File/Record" feature of the packet window now puts the
     files in a "record" directory by default.  The "Send/Send File
     to TNC" feature starts at this directory by default.

  -  Add "Edit/Status Bar" and "Edit/Status Bar Clock" to the packet
     window to allow control of status bar.

    Bug Fixes

  - We weren't guessing the zone for VE's whose provinces were given
    as two character abbreviations.

*** 1.19, 1.20 ***

  - Added a status bar to the packet window.

    Bug Fixes

  - "Minimizing" report display windows didn't work.

  - Fixed some minor "Edit/Change Prefix" bugs.

*** 1.18 ***

  - Added support for SoundBlaster compatible sound cards for CW
    sidetone and CW PacketCluster alerts.  For info, see the
    "Options/CW Options" menu item.

  - Allow a double-click on an item in a "Display/..." report to load
    that entry and bring it to the fore.  (Instead of the old technique
    of using a right button click, though we still allow that).

    Bug Fixes

  - The >> and << buttons weren't going through the help display items
    in the right order.

  - The install program prompted for a diskette if given a bad directory
    name when installing from hard disk.

  - Fixed packet crash (overflow) when receiving very long lines.

*** 1.17 ***

  - Added "Help/Display changes.txt" to display this file.

  - Added a new log menu item "Stats/WAZ Critical QSO List".
    See "WAZ Award Tracking" in the Help display for details.

  - Speed up all the "Stats" reports.

  - Blink error messages in the log window caption a couple of
    times.

  - New logs are created in Microsoft Access 2.0 style rather
    than 1.1 (we can handle either type). 

  - Added some new menu items and options to allow the current
    date/time to be automatically added to new log entries:
     - "Edit/Add Date and Time to Entry"   (Ctrl-D)
     - "Edit/Auto-Add Date and Time"
     - "Options/Log Options"   (UTC Offset, Daylight Savings)
    See "Adding Log Entries" in the Help display for details.

    Bug Fixes

  - Version 1.16 had a bad copy of the file import.bas

  - When a bad mode field was given for a log entry, the error
    message was displayed briefly and the bad mode was accepted.
    This only happened during an Edit Entry and not during an Add
    Entry.

  - If you tried a search key consisting of a comparison with no
    field in the Via/QTH/Name/Notes fields, you got a couple of
    extraneous error messages - "Problem Searching Log" and "Error
    Loading Record".  No harm done however.

*** 1.16 ***

  - For "Import/Import Text File" allow yes, no, y and n as
    QSL sent/received dates.
  - Identify the specific date field (QSO, QSL Sent/Received) in
    error messages.

    Bug Fixes

  - Prevent flakey Buckmaster lookups by making sure the callsign
    double-clicked upon has a number and a letter in it somewhere.

*** 1.15 ***

  - Added the packet history manager mlog-mem.dll, dramatically
    reduces memory requirements and allows lines in history (and
    on screen) to be up to 250 characters.
  - Renamed the MLog CW manager mlog-dll.dll as mlog-cw.dll
  - Made the scrollbars in the log display/reports alive (the
    screen is updated while dragging).
  - Added context sensitive help (F1) for windows, menu items, and
    dialog boxes. 

    Bug Fixes

  - Double-clicking on a blank line in the packet window caused a
    crash.

*** 1.14 ***

  - Double-clicking on callsign in the packet window does a callbook
    lookup.
  - Highlight found string after a successful packet search (Ctrl-F).
  - Implement ANSI highlighting for the packet window.  This feature
    is enabled/disabled from the "Options/Packet and TNC Options"
    menu.
  - Added a horizontal scroll bar for the packet window.  This feature
    is enabled/disabled using the "Edit/Horizontal Scrollbar" menu item.
  - Changed the packet window backwards tab character from Ctrl-Tab
    to Shift-Tab (more Windows-like).  Split screen mode only.

    Bug Fixes

  - The "You have new mail from xxx" alert wasn't working.
  - If the packet window was ever closed maximized, it would always
    open that way regardless of the close state on subsequent runs
    of MLog.
  - Fix an "off by one" bug in the packet window Page Up key.
  - Fix handling of proportional fonts in the packet window.

*** 1.13 ***

 - CW Pileup Mode now allows the Escape key as an alias for the F12
   key (stop sending).
 - Made CW a bit more immune to system activity.
 - Got rid of the "list of speeds" that F9 cycled through.  Now F9
   increases speed, Shift-F9 decreases speed.

   Bug Fixes

 - The initial CW speed is set from "Options/CW Options", fixed
   things so this value is not changed by F9, etc.
 - Got rid of delays that sometimes occured when hitting a CW
   message key.

*** 1.12 ***

 - Made the callbook lookup form "non-modal", you're not forced to
   close it before moving elsewhere.
 - Added a "CW Sidetone" checkbox to CW Options menu.  Replaces
   the old technique of setting the frequency to zero.
 - Changed the status lines for spots that are needed (ones that
   caused an alert).  They previously contained a --, changed it to
   -+- so they're easier to find with a search (Ctrl-F).
 - Added LPT1/LPT2 CW keying.

   Bug Fixes

 - System sounds could kill CW beeping.

*** 1.11 ***

 - The QTH field for VE QSO's is scanned for a province abbreviation
   (just like the WAS scan).  Now we fill in the zone for provinces
   that cover a single zone.
 - Added a new CW controller.

   Bug Fixes

 - Don't write Ctrl-Z's to history file.  They caused a premature end
   of file when reading it back.
 - Changed the log scan to scan until end-of-file rather than trusting
   the record count in database.

*** 1.10 ***

 - Added "Add to Labels List" to "Display/Callbook Lookup" dialog.
 - For U.S. calls, guess the zone from the state in the QTH field.
 - Added better resolution for CW timing.
 - "Write Text File" when selecting "All Log Entries" now uses the
   current "Sort By..." setting.
 - Spots for VHF now show the DXCC status info.  No more "We don't
   handle this frequency..." messages.
 - Changed the prefixes/totals file layout so that deleted countries
   are at the end, not at the top of the files.

   Bug Fixes

 - Changed "Import/Import Text File" to handle 100 character notes
   fields.

*** 1.09 ***

 -  Added WAZ reports.
 -  Display/Short, etc. now uses the current "sort by" criteria.
 -  Moved/renamed some log window menu items:
      DXCC -> DX
      WAS -> Stats
      DXCC reports -> Stats
      DXCC/Change Prefix -> Edit

*** 1.08 ***

 - Inhibit "all" now only inhibits alerts, still shows status line.
 - "Show country list" now can do a prefix guess or country name
   search.
 - Smarter state recognizer - checks last word. (so "fargo, nd. - 12345"
   is ok).
 - If the packet window is "maximized" when closed, it will now be
   restored as maximized.

   Bug Fixes

 - Fixed import bug, exited w/o message if first entry had format error.
 - Label printing was broken in 1.07

*** 1.07 ***

 - Added "Edit/Sort By..." for log searches.  Selected records can be
   sorted by date/time, call, prefix, etc.
 - Added horizontal scrolling for reports.
 - Increased width of Notes field to 100, to convert old logs, unload to
   text file, create a new log, reload.  Prefix for lines in text files
   is now "350,".
 - The state is added to QTH field during CT import for all contests with
   state or section info.
 - Make a dupe check on first record of import - you can quit or do
   import anyway.
 - Clicking the *right* mouse button on a line in the Display/Short...
   reports moves to that entry in the main MLog window.
 - Added "Edit/Delete all entries" to delete all currently selected entries.
 - Added Buckmaster support.
 - Clicking the *right* mouse button on a BBS summary line creates a
   read command ("r ###") for that item.
 - Added independent control of log report fonts and packet window
   fonts.
 - The packet window now supports proportional fonts (though it doesn't
   look very good since column alignment is lost).
 - TNC escape key reassigned (F1 -> F2).  Windows standards want you
   to use F1 as a context sensitive help key.
 - Node sequence startup key reassinged (F2 -> F5).  So, now use
   F2 F5 to start a node connect sequence.  Hopefully, this will be the
   last keyboard diddling.
 - Added "Send/Send Clipboard".
 - Added control character input.  Prints blots (or boxes depending on
   the font).
